Package com.studica.frc

## Class TitanSmallEncoder

- java.lang.Object
- - com.studica.frc.TitanSmallEncoder

    public class TitanSmallEncoder
    extends java.lang.Object

TitanSmall Encoder class java documentation

### Constructor Summary

Constructors
`TitanSmallEncoder​(TitanSmall titan, double distPerTick)` Initialize encoder

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getEncoderDistance()` get encoder distance
`void` `resetEncoder()` reset encoder

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanSmallEncoder

    public TitanSmallEncoder​(TitanSmall titan,
                             double distPerTick)

Initialize encoder

Parameters:
  `titan` - - TitanSmall to be set
  `distPerTick` - - distance per tick value

### Method Detail

#### getEncoderDistance

    public double getEncoderDistance()

get encoder distance

Returns:
  encoder distance

#### resetEncoder

    public void resetEncoder()

reset encoder